Package gov.nasa.gsfc.sscweb.schema

# Class RegionOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.RegionOptions

public class RegionOptions extends Object
Listing options for regions. "Regions" denotes a naming convention of three dimensional and two dimensional zones that are associated with a spacecraft's location for a particular point in time. The RegionOptions provides a means to specify the type(s) of regions that can be generated as output. All four region types can be associated with a spacecraft at any given time. A description of these regions is available at the http://sscweb.gsfc.nasa.gov/help/Lregions_shp.html. <p>Java class for RegionOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="RegionOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Spacecraft" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="RadialTracedFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="NorthBTracedFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="SouthBTracedFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `northBTracedFootpoint`
  Specifies whether the north B traced footpoint regions are to be included in the output.
  `protected boolean`
  `radialTracedFootpoint`
  Specifies whether the radial traced footpoint regions are to be included in the output.
  `protected boolean`
  `southBTracedFootpoint`
  Specifies whether the south B traced footpoint regions are to be included in the output.
  `protected boolean`
  `spacecraft`
  Specifies whether the spacecraft regions are to be included in the output.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isNorthBTracedFootpoint()`
  Specifies whether the north B traced footpoint regions are to be included in the output.
  `boolean`
  `isRadialTracedFootpoint()`
  Specifies whether the radial traced footpoint regions are to be included in the output.
  `boolean`
  `isSouthBTracedFootpoint()`
  Specifies whether the south B traced footpoint regions are to be included in the output.
  `boolean`
  `isSpacecraft()`
  Specifies whether the spacecraft regions are to be included in the output.
  `void`
  `setNorthBTracedFootpoint(boolean value)`
  Sets the value of the northBTracedFootpoint property.
  `void`
  `setRadialTracedFootpoint(boolean value)`
  Sets the value of the radialTracedFootpoint property.
  `void`
  `setSouthBTracedFootpoint(boolean value)`
  Sets the value of the southBTracedFootpoint property.
  `void`
  `setSpacecraft(boolean value)`
  Sets the value of the spacecraft property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### spacecraft

    protected boolean spacecraft
    Specifies whether the spacecraft regions are to be included in the output.

  - ### radialTracedFootpoint

    protected boolean radialTracedFootpoint
    Specifies whether the radial traced footpoint regions are to be included in the output.

  - ### northBTracedFootpoint

    protected boolean northBTracedFootpoint
    Specifies whether the north B traced footpoint regions are to be included in the output.

  - ### southBTracedFootpoint

    protected boolean southBTracedFootpoint
    Specifies whether the south B traced footpoint regions are to be included in the output.

- ## Constructor Details

  - ### RegionOptions

    public RegionOptions()

- ## Method Details

  - ### isSpacecraft

    public boolean isSpacecraft()
    Specifies whether the spacecraft regions are to be included in the output.

  - ### setSpacecraft

    public void setSpacecraft(boolean value)
    Sets the value of the spacecraft property.

  - ### isRadialTracedFootpoint

    public boolean isRadialTracedFootpoint()
    Specifies whether the radial traced footpoint regions are to be included in the output.

  - ### setRadialTracedFootpoint

    public void setRadialTracedFootpoint(boolean value)
    Sets the value of the radialTracedFootpoint property.

  - ### isNorthBTracedFootpoint

    public boolean isNorthBTracedFootpoint()
    Specifies whether the north B traced footpoint regions are to be included in the output.

  - ### setNorthBTracedFootpoint

    public void setNorthBTracedFootpoint(boolean value)
    Sets the value of the northBTracedFootpoint property.

  - ### isSouthBTracedFootpoint

    public boolean isSouthBTracedFootpoint()
    Specifies whether the south B traced footpoint regions are to be included in the output.

  - ### setSouthBTracedFootpoint

    public void setSouthBTracedFootpoint(boolean value)
    Sets the value of the southBTracedFootpoint property.